## org.eclipse.jst.pagedesigner.dtmanager
Class DTManager

    java.lang.Object
      org.eclipse.jst.pagedesigner.dtmanager.DTManager

    public class DTManager

extends java.lang.Object

DTManager is the top-level entry point for design-time (DT) services, such as tag converters and design-time information.

Provisional API - subject to change

Method Summary
`IDTInfo` `getDTInfo(org.w3c.dom.Element element)` Gets an IDTInfo instance for the specified Element.
`static DTManager` `getInstance()` Gets the singleton DTManager instance.
`ITagConverter` `getTagConverter(org.w3c.dom.Element element, int mode, IDOMDocument document)` Gets an ITagConverter instance for the specified Element and mode.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DTManager getInstance()

  Gets the singleton DTManager instance.

  Returns:
    The singleton DTManager instance.

### getTagConverter

    public ITagConverter getTagConverter(org.w3c.dom.Element element,
                                         int mode,
                                         IDOMDocument document)

  Gets an ITagConverter instance for the specified Element and mode.

  Parameters:
    `element` - Element instance for which to locate and return an ITagConverter instance.
    `mode` - Mode flag (use IConverterFactory constants).
    `document` - Target IDOMDocument instance.
  Returns:
    An ITagConverter instance for the specified Element and mode.

### getDTInfo

    public IDTInfo getDTInfo(org.w3c.dom.Element element)

  Gets an IDTInfo instance for the specified Element.

  Parameters:
    `element` - Element instance for which to locate and return IDTInfo instance.
  Returns:
    An IDTInfo instance for the specified Element.